package com.bursie.harvester.logic;

/**
 * A domain class for keeping the keyword and it's ranking. Used for displaying the search results
 */
public class Word implements Comparable {
    private String keyword;
    private int relevance;

    public Word(String keyword, int relevance) {
        this.keyword = keyword;
        this.relevance = relevance;
    }

    public String getKeyword() {
        return keyword;
    }

    public int getRelevance() {
        return relevance;
    }

    public int compareTo(Object o) {
        Word otherObject = (Word) o;
        return otherObject.getRelevance() - this.getRelevance();
    }
}
