<%@ taglib prefix="myTags" uri="simpleTags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=ISO-8859-1" language="java" %>

<html>
<head><title>Keyword Harvester</title>
    <link rel="stylesheet" href="mystyle.css">
</head>
<body>

<h2>Keyword Harvester</h2>

<form method="get" action="Search.do">
    Please enter a keyword <br>
    <input type="text" name="query" value="${queryValue}" size="25">
    <input type="submit" value="Search">
</form>

<c:choose>
    <c:when test="${not empty suggestedKeywords}" >
        <table border="1">
            <tr>
                <th class="header">Keyword</th>
                <th class="header">Relevance</th>
            </tr>
            <myTags:keywordTable suggestedKeywords="${suggestedKeywords}">
                <tr class="${class}">
                    <td>
                        <a href="Search.do?query=${keyword}">${keyword}</a>
                    </td>
                    <td>
                        ${relevance}
                    </td>
                </tr>
            </myTags:keywordTable>
        </table>
    </c:when>
    <c:when test="${empty queryValue}">
        <%--   user has not searched for anything --%>
    </c:when>
    <c:otherwise>
        Sorry, your request had no related keywords
    </c:otherwise>
</c:choose>

</body>
</html>